Bug 607170 - (NTFS) FSResizeError: ('resize failed: 1', '/dev/sda2')
(NTFS) FSResizeError: ('resize failed: 1', '/dev/sda2')
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ntfsprogs (Show other bugs)
13
All Linux
low Severity urgent
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 08:44 EDT by Germano Massullo
Modified: 2012-01-03 12:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:48:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log (246.60 KB, text/plain)
2010-06-23 08:44 EDT, Germano Massullo
no flags Details
Comment (205.13 KB, text/plain)
2010-10-23 06:11 EDT, Germano Massullo
no flags Details

  None (edit)
Description Germano Massullo 2010-06-23 08:44:44 EDT
Created attachment 426254 [details]
anaconda log

Description of problem:
I was installing Fedora 13 KDE spin from the live cd taken from the official website. The machine was a just bought Thinkpad R500.
I had the following attatched error when resizing the ntfs partition of Windows 7.
The ntfs partition was damaged. I was lucky because I had the hidden recover partition.

A severe bug like this can give to red hat several legal problems. It is not cool to have the existing partition damaged.
Comment 1 Chris Lumens 2010-06-23 10:58:01 EDT
Skip the threats.  They do nothing to help your cause.  There is always inherent risk in running a system installer, which is why you should always make backups before doing anything.  That's just basic knowledge that everyone should have by this point in the life of computers.

Anyway, clearly there's something odd going on with ntfsresize:

03:43:54,249 INFO program: ntfsresize v2.0.0 (libntfs 10:0:0)
03:43:54,249 INFO program: ERROR: Current NTFS volume size is bigger than the device size!
03:43:54,250 INFO program: Corrupt partition table or incorrect device partitioning?
Comment 2 Germano Massullo 2010-06-23 11:21:45 EDT
No threats man I was speaking in general, I simply got angry thinking about that bug and about a previous very hated bug (#488532).
Think about a person (which was not my case) that has important things on the OTHER partition. Yeah backups are a must, I always do them, by the way it is no admissible having this kind of bug after a lot of relases with good resizing processes. Don't reply to which I have just written up there because it's okay and I do not want to flame.


BTW
I think that could be good to include advanced debug libraries in the installing process, to have very good debug messages to report.
Comment 3 Germano Massullo 2010-10-23 06:11:18 EDT
Created attachment 915162 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 4 Tom "spot" Callaway 2010-10-23 09:53:01 EDT
Again, this is the error that ntfsresize is throwing:

12:03:58,498 INFO program: ERROR: Current NTFS volume size is bigger than the
device size!
12:03:58,498 INFO program: Corrupt partition table or incorrect device
partitioning?

Did you partition this disk manually? Did you partition it with Windows? Is this disk layout how the system came from the vendor?
Comment 5 Jean-Pierre André 2011-05-11 15:30:23 EDT
> 03:43:54,249 INFO program: ntfsresize v2.0.0 (libntfs 10:0:0)
> 03:43:54,249 INFO program: ERROR: Current NTFS volume size is bigger than the
device size!

The ntfsfix from the latest ntfs-3g_ntfsprogs-2011.4.12 should fix this
Comment 6 Bug Zapper 2011-06-01 11:48:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 14:48:08 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Germano Massullo 2011-06-29 10:20:26 EDT
(In reply to comment #4)
> Again, this is the error that ntfsresize is throwing:
> 
> 12:03:58,498 INFO program: ERROR: Current NTFS volume size is bigger than the
> device size!
> 12:03:58,498 INFO program: Corrupt partition table or incorrect device
> partitioning?
> 
> Did you partition this disk manually? Did you partition it with Windows? Is
> this disk layout how the system came from the vendor?

I resized using the graphical installer of Fedora
Comment 9 Germano Massullo 2011-12-25 17:21:00 EST
(In reply to comment #5)
> > 03:43:54,249 INFO program: ntfsresize v2.0.0 (libntfs 10:0:0)
> > 03:43:54,249 INFO program: ERROR: Current NTFS volume size is bigger than the
> device size!
> 
> The ntfsfix from the latest ntfs-3g_ntfsprogs-2011.4.12 should fix this

News? This has been fixed? I have not had this bug anymore because after this dangerous bug I use gparted to resize ntfs partitions everytime I need to install Fedora
Comment 10 Tom "spot" Callaway 2012-01-03 12:22:08 EST
Should be fixed in modern versions of Fedora.

Note You need to log in before you can comment on or make changes to this bug.